/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package number1;

import java.util.Scanner;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
* Class to determine if a string is a phone number.
* Using regular expressions and their methods for phone numbers
* @author Sofia Iakovleva
* @version 1.0
*/
public class Phone{
  /**
  * Metod for output
  * @param <String [] args>
  */
  public static void main(String[] args){
    System.out.println("What is your phone number?");
    Scanner scanner = new Scanner(System.in);
    String number = scanner.nextLine();
    System.out.println(phone(number));
  }
  /**
  * Metod to check if a string is a phone number
  * @param  number
  * @return boolean
  */
  public static boolean phone(String number){
    String regex = "^\\+\\d\\{1,2}(\\-|\\s)?(\\d{3}|\\(\\d{3}\\))(\\-|\\s)?\\d{3}((\\-|\\s)?\\d{2}){2}";
    Pattern pattern = Pattern.compile(regex);
    Matcher matcher = pattern.matcher(number);
    return matcher.matches();
  }
}
